import * as originalPlugins from './plugins/index.js';
import parsedArgValues from './util/cli-arguments.js';
import { timerify } from './util/Performance.js';
const { performance: isEnabled = false } = parsedArgValues;
const plugins = (isEnabled ? {} : originalPlugins);
const methods = ['resolve', 'resolveConfig', 'resolveEntryPaths'];
if (isEnabled) {
    for (const [name, plugin] of Object.entries(originalPlugins)) {
        plugins[name] = plugin;
        methods.forEach(method => method in plugin &&
            (plugins[name][method] = timerify(plugin[method], `${method} (${plugin.title})`)));
    }
}
export { plugins };
